curl --request GET \
--url https://api.example.com/api/dq/rules/ids/{dq_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dq/rules/ids/{dq_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dq/rules/ids/{dq_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"rule_description": "<string>",
"sql": "<string>",
"accepted": true,
"table": "<string>",
"external_id": "<string>",
"spark_sql": "<string>",
"success_value": "<string>",
"created_by": "<string>",
"approved_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"is_created": false
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Rules by ID
Retrieve a specific data quality rule by its unique ID.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID of the data quality rule.
Response
Rules returned.
Unique ID of the data quality rule.
Name of the data quality rule.
Brief explanation of what the rule checks.
Trino SQL query used to validate the rule.
Whether you have accepted this rule.
The database table this rule applies to.
Uniform Resource Name (URN) of the assertion in DataHub.
Spark SQL query of the rule, if applicable.
Expected success condition for this rule.
Username or identifier of who created this rule.
Username of who approved this rule.
Timestamp when the rule was created.
Timestamp when the rule was approved.
True once the rule has been explicitly created (not just a suggestion).
Was this page helpful?

